{
    "name": "drupal/migrate_tools",
    "description": "Tools to assist in developing and running migrations.",
    "type": "drupal-module",
    "homepage": "http://drupal.org/project/migrate_tools",
    "authors": [
        {
            "name": "Mike Ryan",
            "homepage":"https://www.drupal.org/u/mikeryan",
            "role": "Maintainer"
        },
        {
            "name": "Lucas Hedding",
            "homepage": "https://www.drupal.org/u/heddn",
            "role": "Maintainer"
        }
    ],
    "support": {
        "issues": "https://www.drupal.org/project/issues/migrate_tools",
        "slack": "#migrate",
        "source": "https://git.drupalcode.org/project/migrate_tools"
    },
    "license": "GPL-2.0-or-later",
    "repositories": [
        {
            "type": "composer",
            "url": "https://packages.drupal.org/8"
        }
    ],
    "minimum-stability": "dev",
    "require": {
        "php": ">=7.1",
        "drupal/core": "^8.8 | ^9",
        "drupal/migrate_plus": "^5"
    },
    "require-dev": {
        "composer/installers": "^1",
        "cweagans/composer-patches": "~1.0",
        "drupal/core-composer-scaffold": "^8.7 || ^9.0",
        "drupal/core-dev": "^8.7 || ^9.0",
        "drupal/core-recommended": "^8.7 || ^9.0",
        "drupal/migrate_source_csv": "^3.0",
        "drush/drush": "^10",
        "mglaman/phpstan-drupal": "^0.12",
        "php-parallel-lint/php-parallel-lint": "^1.2",
        "phpstan/phpstan-deprecation-rules": "^0.12",
        "zaporylie/composer-drupal-optimizations": "^1.0"
    },
    "suggest": {
        "drush/drush": "^9 || ^10"
    },
    "config": {
        "preferred-install": "dist",
        "process-timeout": 36000,
        "sort-packages": true
    },
    "autoload": {
        "classmap": [".spoons/ScriptHandler.php"]
    },
    "scripts": {
        "si": "drush si -v --db-url=sqlite://sites/default/files/.sqlite testing",
        "phpcs": "phpcs --runtime-set ignore_warnings_on_exit 1 --runtime-set ignore_errors_on_exit 1 web/modules/custom",
        "phpcbf": "phpcbf --runtime-set ignore_warnings_on_exit 1 --runtime-set ignore_errors_on_exit 1 web/modules/custom",
        "lint": "parallel-lint --exclude web --exclude vendor .",
        "webserver": "cd web && php -S 0.0.0.0:8888 .ht.router.php",
        "chromedriver": "chromedriver --port=9515 --verbose --whitelisted-ips --log-path=/tmp/chromedriver.log --no-sandbox",
        "unit": "phpunit --verbose web/modules/custom",
        "phpstan": "phpstan analyse web/modules/custom",
        "post-update-cmd": ["Spoons\\ScriptHandler::createSymlinks"]
    },
    "extra": {
        "drush": {
            "services": {
                "drush.services.yml": "^9 || ^10"
            }
        },
        "installer-paths": {
            "web/core": ["type:drupal-core"],
            "web/libraries/{$name}": ["type:drupal-library"],
            "web/modules/{$name}": ["type:drupal-module"],
            "web/profiles/{$name}": ["type:drupal-profile"],
            "web/themes/{$name}": ["type:drupal-theme"],
            "drush/{$name}": ["type:drupal-drush"]
        },
        "drupal-scaffold": {
            "locations": {
                "web-root": "web/"
            }
        }
    }
}
